Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## fr.inrialpes.exmo.ontosim.align
Enum ASShortestPathMeasure.NORM

    java.lang.Object
      java.lang.Enum<ASShortestPathMeasure.NORM>
          fr.inrialpes.exmo.ontosim.align.ASShortestPathMeasure.NORM

All Implemented Interfaces:
  Serializable, Comparable<ASShortestPathMeasure.NORM>

Enclosing class:
  ASShortestPathMeasure

    public static enum ASShortestPathMeasure.NORM

extends Enum<ASShortestPathMeasure.NORM>

Enum Constant Summary
`cardinal`
`diameter`

Method Summary
`static ASShortestPathMeasure.NORM` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ASShortestPathMeasure.NORM[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### diameter

    public static final ASShortestPathMeasure.NORM diameter

### cardinal

    public static final ASShortestPathMeasure.NORM cardinal

Method Detail

### values

    public static ASShortestPathMeasure.NORM[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ASShortestPathMeasure.NORM c : ASShortestPathMeasure.NORM.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ASShortestPathMeasure.NORM valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

(C) INRIA & friends, 2008-2009